org.flexdock.plaf.common.border

## Class CompoundEmptyBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.CompoundBorder
    - - org.flexdock.plaf.common.border.CompoundEmptyBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

Direct Known Subclasses:
  InsetBorder

    public class CompoundEmptyBorder
    extends javax.swing.border.CompoundBorder

Author:
  Christopher Butler
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `CompoundEmptyBorder.MutableEmptyBorder`

### Field Summary

Fields
`protected static java.awt.Insets` `EMPTY_INSETS`
`protected boolean` `inner`

### Fields inherited from class javax.swing.border.CompoundBorder

`insideBorder, outsideBorder`

### Constructor Summary

Constructors
`protected` `CompoundEmptyBorder(javax.swing.border.Border outer, javax.swing.border.Border inner, boolean emptyInner)`

### Method Summary

Methods
`static CompoundEmptyBorder` `create(javax.swing.border.Border border, boolean inner)`
`static CompoundEmptyBorder` `create(javax.swing.border.Border border, boolean inner, java.awt.Insets base)`
`java.awt.Insets` `getEmptyInsets()`
`javax.swing.border.Border` `getWrappedBorder()`
`boolean` `setEmptyInsets(java.awt.Insets insets)`
`boolean` `setEmptyInsets(int top, int left, int bottom, int right)`

### Methods inherited from class javax.swing.border.CompoundBorder

`getBorderInsets, getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_INSETS

    protected static final java.awt.Insets EMPTY_INSETS

#### inner

    protected boolean inner

### Constructor Detail

#### CompoundEmptyBorder

    protected CompoundEmptyBorder(javax.swing.border.Border outer,
                       javax.swing.border.Border inner,
                       boolean emptyInner)

### Method Detail

#### create

    public static CompoundEmptyBorder create(javax.swing.border.Border border,
                             boolean inner)

#### create

    public static CompoundEmptyBorder create(javax.swing.border.Border border,
                             boolean inner,
                             java.awt.Insets base)

#### setEmptyInsets

    public boolean setEmptyInsets(java.awt.Insets insets)

#### setEmptyInsets

    public boolean setEmptyInsets(int top,
                         int left,
                         int bottom,
                         int right)

#### getEmptyInsets

    public java.awt.Insets getEmptyInsets()

#### getWrappedBorder

    public javax.swing.border.Border getWrappedBorder()